Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#67081 - [xboard] -fUCI option does not work - polyglot not available

Attached to Project: Community Packages
Opened by Xavier Francisco (Quatro) - Monday, 22 June 2020, 19:37 GMT
Last edited by freswa (frederik) - Monday, 22 June 2020, 21:20 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Sergej Pupykin (sergej)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 0
Private No

Details

Description:

When starting xboard with a UCI connection as described in the manual page, an error popup will show up complaining about polyglot not being available.

It might be a problem, because it seems, polyglot is not available on both the official repos and AUR.

Additional info:
* Latest version
* No config and no output comes out on stdout

Steps to reproduce (assuming stockfish is available):

$ xboard -fcp /usr/bin/stockfish -fUCI
This task depends upon

Comment by Xavier Francisco (Quatro) - Tuesday, 23 June 2020, 09:55 GMT
Actually it's available on https://aur.archlinux.org/packages/polyglot-winboard-git/, but it fails on build. I got it fixed, locally. I've posted a comment about it in the AUR page.

Loading...